<div class="container">
  <div class="container">
    <h2>
      <span>Form Input Tanda Terima Surat Keluar Eksternal</span>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="ui-g-12" style="background-color: white">
      <div class="ui-g-12" style="margin-top: 50px">
        <div class="ui-g-12">
          <div class="ui-g-2">
            <label for="nott">No. Tanda Terima</label>
          </div>
          <div class="ui-g-10">
            <input type="text" [(ngModel)]="nott" class="form-control" (blur)="ceknott()" readonly />
          </div>
        </div>
        <div class="ui-g-12" hidden>
          <div class="ui-g-2">
            <label for="nott"> Pengiriman</label>
          </div>
          <div class="ui-g-10">
            <p-calendar inputId="dtreceipt" name="input_dtreceipt" [(ngModel)]="tandaTerima.dtreceipt" dateFormat="dd-MM-yy"
              [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999" appendTo="body"
              autocomplete="false"></p-calendar>
          </div>
        </div>

        <div class="ui-g-12">
          <div class="ui-g-2">
            <label for="nott">Perusahaan</label>
          </div>
          <div class="ui-g-10">
            <select class="form-control" id="field_nama_pt" name="inputNamaPT" [(ngModel)]="tandaTerima.nama_pt" required (change)="nullPenerima()">
              <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of nama_pt">
                {{ divitionOption.label }}
              </option>
            </select>
          </div>
        </div>

        <div class="ui-g-12">
          <div class="ui-g-2">
            <label for="nott">Nama Pengirim</label>
          </div>
          <div class="ui-g-10">
            <input type="text" [(ngModel)]="tandaTerima.nama_pengirim" placeholder="Tuliskan Nama Lengkap" class="form-control" required />
          </div>
        </div>

        <div class="ui-g-12" *ngIf="tandaTerima.nama_pt !== 'Pribadi'"
          [hidden]="tandaTerima.nama_pt == 'Pribadi' || tandaTerima.nama_pt == ''">
          <div class="ui-g-2">
            <label for="nott">Agen / Distributor</label>
          </div>
          <div class="ui-g-10">
            <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
              (completeMethod)="filterSupplierSingle($event)" [size]="95" name="suplier" [minLength]="1"
              field="cust_name" placeholder="Cari Agen / Distributor" (onSelect)="selectSupplier(true)"
              [dropdown]="true" (keyup)="onKeyUp($event)"></p-autoComplete>
            <input type="text" readonly [(ngModel)]="tandaTerima.nama_penerima" class="form-control" style="margin-top: 10px;"
              required />
          </div>
        </div>

        <div class="ui-g-12">
          <div class="ui-g-2">
            <label for="nott">Nama Penerima</label>
          </div>
          <div class="ui-g-10">
            <input type="text" [(ngModel)]="tandaTerima.nama_penerima2" class="form-control" required placeholder="Tuliskan Nama Penerima"/>
          </div>
        </div>

        <div class="ui-g-12">
          <div class="ui-g-2">
            <label for="nott">No Telepon Penerima (Opsional)</label>
          </div>
          <div class="ui-g-10">
            <input type="text" [(ngModel)]="tandaTerima.no_telp" class="form-control" required placeholder="No Telpon / WA Penerima" />
          </div>
        </div>

        <div class="ui-g-12">
          <div class="ui-g-2">
            <label for="nott">Alamat Tujuan</label>
          </div>
          <div class="ui-g-10">
            <textarea [rows]="5" [cols]="100" pInputTextarea autoResize="autoResize" [(ngModel)]="tandaTerima.alamat" name="alamat" placeholder="Alamat Penerima"
              class="form-control" required></textarea>
          </div>
        </div>

        <div class="ui-g-12">
          <div class="ui-g-2">
            <label for="nott">Ekspedisi</label>
          </div>
          <div class="ui-g-10">
            <select class="form-control" id="field_kurir" name="inputJeniskurir"
              [(ngModel)]="tandaTerima.kurir" required (change)="getLayanan()">
              <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of kurir">
                {{ divitionOption.label }}
              </option>
            </select>
          </div>
        </div>

        <div class="ui-g-12">
          <div class="ui-g-2">
            <label for="nott">Jenis Layanan</label>
          </div>
          <div class="ui-g-10">
            <select class="form-control" id="field_jenis_layanan" name="inputJenislayanan"
              [(ngModel)]="tandaTerima.jenis_layanan" required>
              <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of layananKurir">
                {{ divitionOption.label }}
              </option>
            </select>
          </div>
        </div>

        <div class="ui-g-12">
          <div class="ui-g-2">
            <label for="nott">Jumlah Dokumen</label>
          </div>
          <div class="ui-g-10">
            <input type="number" [(ngModel)]="tandaTerima.jumlah_dokumen" class="form-control" required />
          </div>
        </div>

        <div class="ui-g-12">
          <div class="ui-g-2">
            <label for="nott">Jenis Dokumen</label>
          </div>
          <div class="ui-g-10">
            <input type="text" [(ngModel)]="tandaTerima.jenis_dokumen" class="form-control" required placeholder="Tuliskan Jenis Dokumen"/>
          </div>
        </div>
        <div class="ui-g-12">
          <div class="ui-g-2">
            <label for="nott">Asuransi</label>
          </div>
          <div class="ui-g-10">
            <select name="asuransi" id="asuransi" class="form-control" [(ngModel)]="tandaTerima.asuransi" required>
              <option value=""> Pilih di Asuransikan ?</option>
              <option value="Y"> Ya</option>
              <option value="N"> Tidak</option>
            </select>
          </div>
        </div>
        <div class="ui-g-12">
          <div class="ui-g-2">
            <label for="nott">Nominal Asuransi </label>
          </div>
          <div class="ui-g-10">
            <input currencyMask class="form-control" name="nominal" id="nominal"
                            [(ngModel)]="tandaTerima.nominal_asuransi"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '0' }"
                            placeholder="Nominal Asuransi" required [disabled]="tandaTerima.asuransi === 'undefined' || tandaTerima.asuransi === '' || tandaTerima.asuransi === null || tandaTerima.asuransi === 'N'"/>
          </div>
        </div>
        <div class="ui-g-12" style="margin-bottom: 100px">
          <div class="btn-group flex-btn-group-container">
            <button pButton type="submit" label="Simpan" icon="fa-save" class="ui-button-primary flat-label-button"
              (click)="savett()" [hidden]="isview === true"></button>
            <button pButton label="Kembali" class="ui-button-primary flat-label-button"
              (click)="backMainPage()"></button>
          </div>
        </div>
        <br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
      </div>
    </div>
  </div>
</div>
<div style="margin-top: 50px"></div>
<p-confirmDialog></p-confirmDialog>